$(function () {
    $(document).on('click', '#btnNotificacionesHeader', function(e) {
        if($(this).attr("aria-expanded")=='true')
        {
            
            $.ajax({        
                url: baseUrl + '/cargar-notificaciones-header',
                beforeSend: function() {
                    $("#ctnNotificacionesHeader").find(".simplebar-content").empty();
                    $("#ctnNotificacionesHeader").find(".simplebar-content").html('<div class="alert alert-dark alert-border-left alert-dismissible fade show mb-0" role="alert">\n\
                        <i class="ri-refresh-line me-3  align-middle fs-16"></i><strong>ACTUALIZANDO</strong>\n\
                    </div>');
                },
                success: function(response) {
                    if (response === 0) {
                        $("#ctnNotificacionesHeader").find(".simplebar-content").empty();
                        $("#ctnNotificacionesHeader").find(".simplebar-content").html('<div class="alert alert-warning alert-border-left alert-dismissible fade show" role="alert">\n\
                            <i class="ri-alert-line me-3 align-middle fs-16"></i><strong>NO ENCONTRADO</strong>\n\
                        </div>');
                    } else {
                        $("#ctnNotificacionesHeader").find(".simplebar-content").empty();
                        $("#ctnNotificacionesHeader").find(".simplebar-content").html(response);
                    }
                }, 
                error: function(jqXHR, textStatus, errorThrown){
                    $("#ctnNotificacionesHeader").find(".simplebar-content").empty();
                    $("#ctnNotificacionesHeader").find(".simplebar-content").html('<div class="alert alert-danger alert-border-left alert-dismissible fade show mb-xl-0" role="alert">\n\
                        <i class="ri-error-warning-line me-3 align-middle fs-16"></i><strong>ERROR</strong>\n\
                    </div>');
                    console.log(jqXHR );
                    console.log(textStatus);
                    console.log(errorThrown);
                }
            });
        }
    });
    
    // setTimeout(() => {
    //     console.log("este es el primer mensaje");
    // }, 10000);
    
    setInterval(function(){
        $.ajax({        
            url: baseUrl + '/cantidad-notificaciones-header',
            dataType: 'json',
            beforeSend: function() {
                
            },
            success: function(response) {
                $("#ctnCantidadNotificacionesHeader").empty();
                $(".respuesta_global").empty();
                console.log(response);
                $("#ctnCantidadNotificacionesHeader").html(response.cantidad);
                $('.respuesta_global').html(response.popup);
            }, 
            error: function(jqXHR, textStatus, errorThrown){
                
            }
        });
    }, 120000);
});

function notificacionVista(idNotificacion)
{
    var parametros = {
        "idNotificacion"  : idNotificacion
	};
    $.ajax({        
        url: baseUrl + '/registrar-vista-notificacion',
        type: "POST",
        data: parametros,
        beforeSend: function() {
            
        },
        success: function(response) {
            console.log("ID: "+response);
        }, 
        error: function(jqXHR, textStatus, errorThrown){
            console.log(jqXHR );
            console.log(textStatus);
            console.log(errorThrown);
        }
    });
}



